<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'tenders',

    /*
     * Modules.
     */
    'modules'   => ['tender'],

    /*
     * Image size.
     */
    'image'    => [
        'xs' => [
            'width'     => '60',
            'height'    => '45',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'sm' => [
            'width'     => '160',
            'height'    => '120',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'md' => [
            'width'     => '460',
            'height'    => '345',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'lg' => [
            'width'     => '800',
            'height'    => '600',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '1000',
            'height'    => '750',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
    ],

    'tender'       => [
        'model'             => 'Litecms\Tenders\Models\Tender',
        'table'             => 'tenders',
        'presenter'         => \Litecms\Tenders\Repositories\Presenter\TenderItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'upload_folder', 'id',  'name',  'user_id',  'description',  'start_date',  'end_date',  'status',  'file',  'image',  'upload_folder',  'slug',  'created_at',  'updated_at',  'deleted_at'],
        'translate'         => ['id',  'name',  'user_id',  'description',  'start_date',  'end_date',  'status',  'file',  'image',  'upload_folder',  'slug',  'created_at',  'updated_at',  'deleted_at'],

        'upload-folder'     => '/uploads/tenders/tender',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
