<?php

use Illuminate\Database\Migrations\Migration;

class CreateTendersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: tenders
         */
        Schema::create('tenders', function ($table) {
            $table->increments('id');
            $table->string('name', 250)->nullable();
            $table->text('description')->nullable();
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->text('file')->nullable();
            $table->text('image')->nullable();
            $table->text('upload_folder')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('tenders');
    }
}
