@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('tenders::tender.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('tenders::tender.names') !!}</small>
@stop

@section('title')
{!! trans('tenders::tender.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('tenders::tender.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='tenders-tender-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="tenders-tender-list" class="table table-striped table-bordered data-table">
    <thead  class="list_head">
        <th>{!! trans('tenders::tender.label.name')!!}</th>
        <th>{!! trans('tenders::tender.label.description')!!}</th>
        <th>{!! trans('tenders::tender.label.start_date')!!}</th>
        <th>{!! trans('tenders::tender.label.end_date')!!}</th>
        <th>{!! trans('tenders::tender.label.file')!!}</th>
        <th>{!! trans('tenders::tender.label.image')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[name]')->raw()!!}</th>
        <th>{!! Form::text('search[description]')->raw()!!}</th>
        <th>{!! Form::date_picker('search[start_date]')->raw()!!}</th>
        <th>{!! Form::date_picker('search[end_date]')->raw()!!}</th>
        <th>{!! Form::text('search[file]')->raw()!!}</th>
        <th>{!! Form::text('search[image]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#tenders-tender-entry', '{!!trans_url('admin/tenders/tender/0')!!}');
    oTable = $('#tenders-tender-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/tenders/tender') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#tenders-tender-list .search_bar input, #tenders-tender-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'name'},
                        {data :'description'},
                    {data :'start_date'},
                    {data :'end_date'},
                        {data :'file'},
                    {data :'image'},
        ],
        "pageLength": 25
    });

    $('#tenders-tender-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#tenders-tender-list').DataTable().row( this ).data();

        $('#tenders-tender-entry').load('{!!trans_url('admin/tenders/tender')!!}' + '/' + d.id);
    });

    $("#tenders-tender-list .search_bar input, #tenders-tender-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

